<?php namespace Phpcmf\Controllers;

class About extends \Phpcmf\Home\Module
{

    public function index() {

        define('MALL_SHOW_SEO', 1);

        $this->_module_init();
        $data = $this->_Show(
            (int)\Phpcmf\Service::L('input')->get('id'),
            [
                'field' => dr_safe_replace(\Phpcmf\Service::L('input')->get('field')),
                'value' => dr_safe_replace(\Phpcmf\Service::L('input')->get('value')),
            ],
            1,
            1
        );

        \Phpcmf\Service::V()->assign(\Phpcmf\Service::L('seo')->mall('about', $data));
        \Phpcmf\Service::V()->display('about.html');
    }

    protected function _call_show($data) {
        $data['comment'] = $this->content_model->get_comment_index( $data['id'], $data['catid']);
        $data['mall_page'] = \Phpcmf\Service::M('mall', 'mall')->get_mall_page($data);
        return $data;
    }


}
